org.apache.ivy.plugins.resolver.util

## Class ApacheHttpURLLister

- java.lang.Object
- - org.apache.ivy.plugins.resolver.util.ApacheHttpURLLister

All Implemented Interfaces:
  URLLister

    public class ApacheHttpURLLister
    extends java.lang.Object
    implements URLLister

### Constructor Summary

Constructors
Constructor and Description
`ApacheHttpURLLister()`

### Method Summary

Methods
`boolean` `accept(java.lang.String pattern)` Indicates if this lister is able to list urls with the given pattern.
`java.util.List` `listAll(java.net.URL url)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApacheHttpURLLister

    public ApacheHttpURLLister()

### Method Detail

#### accept

    public boolean accept(java.lang.String pattern)

Description copied from interface: `URLLister`
Indicates if this lister is able to list urls with the given pattern. In general, only protocol is used.

Specified by:
  `accept` in interface `URLLister`
Returns:

#### listAll

    public java.util.List listAll(java.net.URL url)
                           throws java.io.IOException

Specified by:
  `listAll` in interface `URLLister`
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`